ru.yandex.clickhouse.util

## Class ClickHouseBlockChecksum

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseBlockChecksum

    public class ClickHouseBlockChecksum
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseBlockChecksum(long first, long second)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte[]` `asBytes()`
`static ClickHouseBlockChecksum` `calculateForBlock(byte magic, int compressedSizeWithHeader, int uncompressedSize, byte[] data, int length)`
`boolean` `equals(Object o)`
`static ClickHouseBlockChecksum` `fromBytes(byte[] checksum)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClickHouseBlockChecksum

    public ClickHouseBlockChecksum(long first,
                                   long second)

### Method Detail

#### fromBytes

    public static ClickHouseBlockChecksum fromBytes(byte[] checksum)

#### calculateForBlock

    public static ClickHouseBlockChecksum calculateForBlock(byte magic,
                                                            int compressedSizeWithHeader,
                                                            int uncompressedSize,
                                                            byte[] data,
                                                            int length)

#### asBytes

    public byte[] asBytes()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`